## gnustep-base 1.11.2

=== Makefile ===
#
#  Depreciated Makefile for GNUstep Base Library.
#  
#  Copyright (C) 1997 Free Software Foundation, Inc.
#
#  Written by:	Scott Christley <scottc@net-community.com>
#
#  This file is part of the GNUstep Base Library.
#
#  This library is free software; you can redistribute it and/or
#  modify it under the terms of the GNU General Public
#  License as published by the Free Software Foundation; either
#  version 2 of the License, or (at your option) any later version.
#
#  This library is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the GNU
#  General Public License for more details.
#
#  You should have received a copy of the GNU General Public
#  License along with this library; if not, write to the Free
#  Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02111 USA
#

all:
	@echo You need to use GNU make to compile the GNUstep Base Library

## gnustep-base 1.14.1

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 #  This library is free software; you can redistribute it and/or
 #  modify it under the terms of the GNU General Public
 #  License as published by the Free Software Foundation; either
-#  version 2 of the License, or (at your option) any later version.
+#  version 3 of the License, or (at your option) any later version.
 #
 #  This library is distributed in the hope that it will be useful,
 #  but WITHOUT ANY WARRANTY; without even the implied warranty of

## gnustep-base 1.24.0

=== debian/changelog ===
gnustep-base (1.24.0-1ubuntu3) trusty; urgency=medium

  * Add chapter to coding-standards.texi to fix FTBFS.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 28 Dec 2013 14:10:08 +0000

gnustep-base (1.24.0-1ubuntu2) trusty; urgency=medium

  * No change rebuild against libicu52

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 28 Dec 2013 13:51:38 +0000

gnustep-base (1.24.0-1ubuntu1) raring; urgency=low

  * Backport upstream fix for recent libxml2.

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 21 Nov 2012 13:56:22 +0100

gnustep-base (1.24.0-1) experimental; urgency=low

  * New major upstream release:
    + Fixes FTBFS with GCC-4.7 (Closes: #667868).
    + Does not create empty ~/GNUstep directory by default (Closes: #643305).
  * debian/control.m4 (Build-Depends): Remove quilt.
    (libgnustep-base`'SOV_BASE-dbg) <Recommends>: Add libobjc4-dbg as
    alternative.
    <Conflicts>: Add libgnustep-base1.22-dbg.
    (Standards-Version): Bump to 3.9.3; no changes needed.
  * debian/control: Regenerate.
  * debian/source/format: Switch to 3.0 (quilt).
  * debian/README.source: Delete; redundant.
  * debian/rules: Don't include /usr/share/quilt/quilt.make.  Remove quilt
    patch/unpatch stuff.  Don't bother messing with CC as it fails the
    configure test.  Build with hardening enabled.
  * debian/patches/gnutls-deprecated.patch: Remove; fixed upstream.
  * debian/patches/kfreebsd-fake-main.patch:
  * debian/patches/avoid-nsl-linkage.patch: Refresh.
  * debian/patches/autoreconf.patch: Regenerate.
  * debian/patches/series: Update.
  * debian/gnustep-base-runtime.gdomap.in: Add LSB Description keyword.
  * debian/gnustep-base-runtime.lintian-overrides: New, override hardening
    false positives.
  * debian/copyright: Update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Mon, 21 May 2012 16:22:29 +0300

gnustep-base (1.22.1-2) unstable; urgency=low

  * debian/patches/kfreebsd-fake-main.patch: New; treat GNU/kFreeBSD as
    GS_FAKE_MAIN platform because programs with many arguments abort
    (Closes: #644868).
  * debian/patches/autoreconf.patch: Regenerate.
  * debian/patches/series: Update.
  * debian/gnustep-base-runtime.gdomap.in: Add support for the `status'
    action, thanks Peter Eisentraut (Closes: #646844).
  * debian/control.m4 (gnustep-base-runtime) <Depends>: Add lsb-base.
  * debian/control: Regenerate.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 03 Nov 2011 19:58:33 +0200

gnustep-base (1.22.1-1) unstable; urgency=low

  * New upstream release:
    + Fixes implicit declaration of function (Closes: #629216).
  * debian/rules (v_make): Set to 2.6.1.
    (install-common): Do not delete non-existent .swp file.
  * debian/control.m4 (Build-Depends): Remove gobjc; gnustep-make now
    depends on it.
    (libgnustep-base-dev) <Depends>: Likewise.
    (Suggests): Remove; completely pointless.
  * debian/control: Regenerate.
  * debian/patches/avoid-nsl-linkage.patch: Refresh.
  * debian/patches/autoreconf.patch: Regenerate.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 15 Sep 2011 12:31:15 +0300

gnustep-base (1.22.0-1) experimental; urgency=low

  * New major upstream release:
    + Includes support for the new Objective-C runtime (Closes: #624928).
  * debian/control.m4 (Vcs-Arch): Replace with...
    (Vcs-Git): ...since tla-buildpackage is gone.
    (Vcs-Browser): New field.
    (Standards-Version): Bump to 3.9.2; no changes needed.
    (Build-Depends): Add libicu-dev, needed for NSLocale.
    (libgnustep-base`'SOV_BASE-dbg) <Conflicts>: Set to
    libgnustep-base1.20-dbg only.
    <Recommends>: Set to libobjc3-dbg.
  * debian/control: Regenerate.
  * debian/patches/gnutls-deprecated.patch: New; fix usage of deprecated
    GnuTLS function (Closes: #624054).
  * debian/patches/missing-header.patch:
  * debian/patches/no-march.patch: Delete; fixed upstream.
  * debian/patches/NSBundle-PROCFS_EXE_LINK.patch: Delete; apparently not
    needed anymore.
  * debian/patches/manpage-fixes.patch: A few more fixes.
  * debian/patches/avoid-nsl-linkage.patch: Refresh.
  * debian/patches/autoreconf.patch: Regenerate.
  * debian/patches/series: Update.
  * debian/rules (v_objc, v_make): Bump to 4:4.6 (for libobjc3) and 2.6
    (for the sake of the testsuite) accordingly.
    (debian/build-shared-stamp): Run the testsuite.
    (install-shared): Do not delete non-existent .swp file.
    (install-common): Use $(sov_base) instead of hardcoded version.
  * debian/copyright: Update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 31 May 2011 11:03:16 +0300

gnustep-base (1.20.2-2) unstable; urgency=medium

  * debian/patches/missing-header.patch: New; install
    NSNetServices+GNUstepBase.h (Closes: #614480).
  * debian/patches/series: Update.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 08 Mar 2011 18:47:59 +0200

gnustep-base (1.20.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control.m4 (Build-Depends): Replace
    libavahi-compat-libdnssd-dev with libavahi-client-dev; NSNetServices
    has been rewritten to use Avahi natively (Closes: #588396).
  * debian/control: Regenerate.
  * debian/rules (binary-arch): Revert last change.
  * debian/patches/hppa-pthread-alignment.patch: Remove; present upstream.
  * debian/patches/avoid-nsl-linkage.patch: Refresh.
  * debian/patches/autoreconf.patch: Regenerate.
  * debian/patches/series: Update.

 -- Yavor Doganov <yavor@gnu.org>  Sun, 13 Feb 2011 12:06:09 +0200

gnustep-base (1.20.1-6) unstable; urgency=high

  * debian/rules (binary-arch): Pass -R to dh_installinit to facilitate
    upgrades from lenny (really closes: #605565).  Thanks Axel Beckert and
    Julien Cristau.

 -- Yavor Doganov <yavor@gnu.org>  Wed, 29 Dec 2010 20:02:39 +0200

gnustep-base (1.20.1-5) unstable; urgency=high

  * debian/gnustep-base-runtime.gdomap.in: Pass --oknodo to
    start-stop-daemon; thanks Adam Borowski (Closes: #605565).

 -- Yavor Doganov <yavor@gnu.org>  Wed, 01 Dec 2010 19:00:25 +0200

gnustep-base (1.20.1-4) unstable; urgency=medium



=== debian/control ===
Source: gnustep-base
Section: gnustep
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
Uploaders: Gürkan Sengün <gurkan@phys.ethz.ch>,
	   Yavor Doganov <yavor@gnu.org>
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 7),
	       gnustep-make (>= 2.6.1),
	       libffi-dev,
	       libxml2-dev,
	       libxslt1-dev,
	       libgnutls-dev,
	       zlib1g-dev,
	       m4,
	       libavahi-client-dev,
	       libicu-dev
Build-Depends-Indep: texi2html,
		     texinfo,
		     texlive-base,
		     texlive-latex-base,
		     xml-core
Build-Conflicts: libgmp3-dev
Homepage: http://gnustep.org
Vcs-Git: git://git.debian.org/pkg-gnustep/gnustep-base.git
Vcs-Browser: http://git.debian.org/?p=pkg-gnustep/gnustep-base.git

Package: gnustep-base-common
Architecture: all
Depends: gnustep-common (>= 2.6.1),
	 ${misc:Depends},
	 ${gnustep:Depends}
Suggests: gnustep-base-doc (>= ${source:Version})
Description: GNUstep Base library - common files
 The GNUstep Base Library is a powerful fast library of
 general-purpose, non-graphical Objective C classes, inspired by the
 OpenStep API but implementing Apple and GNU additions to the API as
 well.
 .
 This package contains the common files needed by the GNUstep Base library.

Package: gnustep-base-runtime
Architecture: any
Depends: gnustep-base-common (>= ${source:Version}),
	 ${shlibs:Depends},
	 ${misc:Depends},
	 ${gnustep:Depends},
	 lsb-base
Description: GNUstep Base library - daemons and tools
 The GNUstep Base Library is a powerful fast library of
 general-purpose, non-graphical Objective C classes, inspired by the
 OpenStep API but implementing Apple and GNU additions to the API as
 well.
 .
 This package contains the runtime support files needed by GNUstep
 applications.

Package: libgnustep-base1.24
Section: libs
Architecture: any
Depends: gnustep-base-common (>= ${source:Version}),
	 ${shlibs:Depends},
	 ${misc:Depends},
	 ${gnustep:Depends}
Recommends: gnustep-base-runtime
Description: GNUstep Base library
 The GNUstep Base Library is a powerful fast library of
 general-purpose, non-graphical Objective C classes, inspired by the
 OpenStep API but implementing Apple and GNU additions to the API as
 well.  It includes for example classes for unicode strings, arrays,
 dictionaries, sets, byte streams, typed coders, invocations,
 notifications, notification dispatchers, scanners, tasks, files,
 networking, threading, remote object messaging support (distributed
 objects), event loops, loadable bundles, attributed unicode strings,
 xml, mime, user defaults.

Package: libgnustep-base-dev
Section: libdevel
Architecture: any
Depends: libgnustep-base1.24 (= ${binary:Version}),
	 gnustep-base-common,
	 gnustep-base-runtime (>= ${source:Version}),
	 gnustep-make (>= 2.6.1),
	 ${misc:Depends},
	 ${gnustep:Depends}
Description: GNUstep Base header files and development libraries
 This package contains the header files and static libraries required
 to build applications against the GNUstep Base library.
 .
 Install this package if you wish to develop your own programs using
 the GNUstep Base Library.

Package: libgnustep-base1.24-dbg
Section: debug
Architecture: any
Priority: extra
Depends: gnustep-base-common,
	 libgnustep-base1.24 (= ${binary:Version}),
	 gnustep-base-runtime (= ${binary:Version}),
	 ${misc:Depends},
	 ${gnustep:Depends}
Recommends: libobjc3-dbg | libobjc4-dbg
Conflicts: libgnustep-base1.20-dbg,
	   libgnustep-base1.22-dbg
Description: GNUstep Base library - debugging symbols
 This package contains the debigging symbols of the GNUstep Base
 Library.  This package can be used to provide symbol names to a debugger to
 aid debugging.

Package: gnustep-base-examples
Architecture: all
Depends: gnustep-base-common,
	 ${misc:Depends},
	 ${gnustep:Depends}
Recommends: libgnustep-base-dev (= ${source:Version})
Description: Examples using the GNUstep Base Library
 The GNUstep Base Library is a powerful fast library of
 general-purpose, non-graphical Objective C classes, inspired by the
 OpenStep API but implementing Apple and GNU additions to the API as
 well.
 .
 This is the source for a few example (non-GUI) applications
 using the GNUstep Base Library.

Package: gnustep-base-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
	 ${gnustep:Depends},
	 dpkg (>= 1.15.4) | install-info
Recommends: libgnustep-base-dev (>= ${source:Version})
Description: Documentation for the GNUstep Base Library
 This package contains the GNUstep Base Library API reference in gsdoc
 and HTML format, as well as the GNUstep Base programming manual and
 GNUstep Coding Standards in Info and PDF format.

=== debian/rules ===
#! /usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# we're using brace expansion
SHELL := /bin/bash

include /usr/share/GNUstep/debian/config.mk
export GNUSTEP_MAKEFILES := $(GS_MAKE_DIR)

##### VERSION NUMBERS #################################

# Objective-C version :
v_objc := 4:4.6

# GNUstep Make version :
v_make	:= 2.6.1

# GNUstep Base version :
v_base	:= $(shell . ./Version; echo $$VERSION)

# GNUstep Base SONAME version :
sov_base := $(shell . ./Version; echo $$MAJOR_VERSION.$$MINOR_VERSION)

######################################################


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_BUILD_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_HOST_ARCH		?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

# make some files executable
dummy := $(shell chmod +x configure)

# packages names
p_com	= gnustep-base-common
p_run	= gnustep-base-runtime
p_lib	= libgnustep-base$(sov_base)
p_dev	= libgnustep-base-dev
p_dbg	= $(p_lib)-dbg
p_exam	= gnustep-base-examples
p_doc	= gnustep-base-doc

# packages temp dirs
d_com	= $(CURDIR)/debian/$(p_com)
d_run	= $(CURDIR)/debian/$(p_run)
d_lib	= $(CURDIR)/debian/$(p_lib)
d_dev	= $(CURDIR)/debian/$(p_dev)
d_dbg	= $(CURDIR)/debian/$(p_dbg)
d_exam	= $(CURDIR)/debian/$(p_exam)
d_doc	= $(CURDIR)/debian/$(p_doc)

# -----------------------------------------------------------------------------
# GNUstep SETTINGS

# Dirs
include /usr/share/GNUstep/debian/config.mk
ifeq ($(GS_USE_FHS),yes)
  GS_DTD_DIR=/usr/share/xml/gnustep
else
  GS_DTD_DIR=$(GNUSTEP_SYSTEM_LIBRARY)/DTDs
endif

export GNUSTEP_INSTALLATION_DOMAIN=SYSTEM

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
optim := debug=yes
endif

CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,-z,defs -Wl,--as-needed

# -----------------------------------------------------------------------------

foo-debug:
	echo $(sov_base)
#	echo $(GS_LIBRARY_COMBO)
#	echo $(GS_CPU) $(GS_OS) $(GS_COMBO_DIR)


deb-scripts: debian/deb-scripts-stamp
clean_files += debian/deb-scripts-stamp
debian/deb-scripts-stamp:
	@: # copy Debian scripts
	b=$(p_run); \
	for ext in preinst postinst prerm postrm; do \
	  if [ -f debian/$$b.$$ext.in ]; then \
	    sed -e 's,@GDOMAP@,$(GNUSTEP_SYSTEM_TOOLS)/gdomap,g' \
		debian/$$b.$$ext.in > debian/$$b.$$ext; \
	  fi; \
	done

	b=$(p_run); \
	for init in gdomap; do \
	  if [ -f debian/$$b.$$init.in ]; then \
	    sed -e 's,@GDOMAP@,$(GNUSTEP_SYSTEM_TOOLS)/gdomap,g' \
	        -e 's,@GSMAKEFILES@,$(GS_MAKE_DIR),g' \
	      debian/$$b.$$init.in > debian/$$b.$$init; \
	  fi; \
	done

	touch $@

debian/control debian/control.tmp: debian/control.m4 debian/rules
	@: # debian/control
	m4 \
		-DV_OBJC='$(v_objc)' \
		-DV_MAKE='$(v_make)' \
		-DSOV_BASE='$(sov_base)' \
		debian/control.m4 | uniq > $@

# Generate the lintian overrides file automatically, to avoid renames
# when the SONAME is bumped.
clean_files += debian/libgnustep-base$(sov_base).lintian-overrides
debian/libgnustep-base$(sov_base).lintian-overrides: debian/libgnustep-baseN.overrides.m4
	m4 -DSOV_BASE='$(sov_base)' $< > $@


config: debian/configure-stamp
clean_files += debian/configure-stamp
debian/configure-stamp: configure
	dh_testdir
# Override the test for libkvm to ensure that /proc is used on
# GNU/kFreeBSD even if libvkm-dev is installed (#593898).
	./configure CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" \
	    OBJCFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
	    ac_cv_lib_kvm_kvm_getenvv=no \
	    --enable-libffi \
	    --disable-openssl \
	    --disable-bfd

	touch $@

build: build-arch

build-shared: debian/build-shared-stamp
clean_files += debian/build-shared-stamp
debian/build-shared-stamp: debian/configure-stamp
	dh_testdir

	@: # build shared libs
	$(MAKE) messages=yes $(optim) ADDITIONAL_CFLAGS="$(CFLAGS)"
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) check
endif
	touch $@


# Build architecture indep
build-doc: debian/build-doc-stamp
clean_files += debian/build-doc-stamp
debian/build-doc-stamp: debian/configure-stamp build-shared
	dh_testdir

	@: # Build main doc.  Make sure autogsdoc can find the libraries.
	LD_LIBRARY_PATH=$(CURDIR)/Source/obj:$$LD_LIBRARY_PATH \
	  $(MAKE) -C Documentation messages=yes

	touch $@


# Build architecture dep
build-arch: build-shared build-static build-debug

build-static: debian/build-static-stamp
clean_files += debian/build-static-stamp
debian/build-static-stamp: debian/configure-stamp
	dh_testdir
	@: # build dev/static libs
	$(MAKE) -C Source shared=no messages=yes $(optim)

	touch $@

build-debug: debian/build-debug-stamp
clean_files += debian/build-debug-stamp
debian/build-debug-stamp: debian/configure-stamp
	touch $@


# Install all
install: install-indep install-arch

# Install architecture indep
install-indep: install-doc install-common

install-doc: build-doc
	dh_testdir
	dh_testroot
	dh_prep -i

	@: # Install the indep part of the package

	@: # install main doc
	$(MAKE) -C Documentation install DESTDIR=$(d_doc)

	@: # remove postscript doc
	for file in `find $(d_doc)/$(GNUSTEP_SYSTEM_DOC) -name "*.ps"`; do \
		rm $$file ; done

	@: # rename Info documents with generic/ambiguous names
	cd $(d_doc)/$(GNUSTEP_SYSTEM_DOC_INFO); \
	  mv manual.info gs-base.info; \
	  mv coding-standards.info gs-standards.info

	@: # symlink
	dh_installdirs -p$(p_doc) usr/share/doc/$(p_com)
	dh_link -p$(p_doc) \
	    $(GNUSTEP_SYSTEM_DOC)/Developer usr/share/doc/$(p_com)/Developer \
	    usr/share/doc/$(p_com)/Developer usr/share/doc/$(p_doc)/Developer

	@: # Prepare example package
	dh_installdirs -p$(p_exam) usr/share/doc/$(p_com)
	dh_link -p$(p_exam) usr/share/doc/$(p_com) usr/share/doc/$(p_exam)

install-common: install-shared
# The files actually get installed in install-shared.
# We trust the Debian timezones.
	rm -rf $(d_com)/$(GNUSTEP_SYSTEM_LIBRARY)/Libraries/gnustep-base/Versions/$(sov_base)/Resources/NSTimeZones/zones
	ln -s /usr/share/zoneinfo \
	  $(d_com)/$(GNUSTEP_SYSTEM_LIBRARY)/Libraries/gnustep-base/Versions/$(sov_base)/Resources/NSTimeZones/zones
	ln -s /etc/timezone \
	  $(d_com)/$(GNUSTEP_SYSTEM_LIBRARY)/Libraries/gnustep-base/Versions/$(sov_base)/Resources/NSTimeZones/localtime


# Install architecture dep
install-arch: install-shared install-static install-debug

install-shared: build-shared
	dh_testdir -p$(p_run)
	dh_testroot -p$(p_run)
	dh_prep -p$(p_run)

	@: # install shared version of libraries
	$(MAKE) install DESTDIR=$(d_run)

	@: # move arch-indep things to -common
	dh_prep -p$(p_com)
	mkdir -p $(d_com)/$(GNUSTEP_SYSTEM_LIBRARY)/Libraries
	#mkdir -p debian/gnustep-base-runtime//usr/lib/GNUstep/Libraries/gnustep-base
	mv $(d_run)/$(GNUSTEP_SYSTEM_LIBRARY)/Libraries/gnustep-base $(d_com)/$(GNUSTEP_SYSTEM_LIBRARY)/Libraries
	#mkdir -p debian/gnustep-base-runtime//usr/lib/GNUstep/DTDs
	mv $(d_run)/$(GNUSTEP_SYSTEM_LIBRARY)/DTDs $(d_com)/$(GNUSTEP_SYSTEM_LIBRARY)
	@: # remove headers from shared packages
	rm -rf $(d_run)/$(GNUSTEP_SYSTEM_HEADERS)

	@: # remove Makefiles/Additional/base.make
	rm -rf $(d_run)/$(GS_MAKE_DIR)

	rm -f $(d_run)/etc/services.add

	@: # Install gdomap option file
	dh_installdirs -p$(p_run) etc/default
	cp -p $(CURDIR)/debian/gdomap.default $(d_run)/etc/default/gdomap

	@: # Move shared lib
	dh_install -p$(p_lib) \
	    debian/$(p_run)/$(GNUSTEP_SYSTEM_LIBRARIES)/lib*.so.* $(GNUSTEP_SYSTEM_LIBRARIES)
	rm -rf debian/$(p_run)/$(GNUSTEP_SYSTEM_LIBRARIES)/lib*

	@: # Doc symlinks
	dh_link -p$(p_lib) usr/share/doc/$(p_com) usr/share/doc/$(p_lib)
	dh_link -p$(p_run) usr/share/doc/$(p_com) usr/share/doc/$(p_run)


install-static: install-shared build-static
	dh_testdir -p$(p_dev)
	dh_testroot -p$(p_dev)
	dh_prep -p$(p_dev)

# gnustep-make 2.2.x has a bug and does not create the directory.

=== debian/watch ===
version=3
opts=pasv \
ftp://ftp.gnustep.org/pub/gnustep/core/gnustep-base-([\d\.]+[02468]\.\d)\.tar\.gz

## gnustep-base 1.24.6

=== debian/changelog ===
gnustep-base (1.24.6-2ubuntu1) utopic; urgency=medium

  * debian/rules:
    - Print the config.log if configure fails to debug
      powerpc/ppc64el FTBFS. (LP: #1277975)

 -- Paul Gevers <elbrus@debian.org>  Sat, 19 Jul 2014 13:02:18 +0200

gnustep-base (1.24.6-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/compat: Set to 9 to get .build-id debugging symbols.
  * debian/control.m4 (Build-Depends): Require debhelper >= 9.  Build
    against gnutls28, thanks Andreas Metzler (Closes: #753033).
    (libgnustep-base`'SOV_BASE-dbg) <Conflicts>: Remove.
    <Recommends>: Remove libobjc3-dbg.
  * debian/control: Regenerate.
  * debian/patches/hurd-ignore-NSURL-test.diff: Delete; apparently no
    longer needed.
  * debian/patches/ftbfs-mips64.patch: New; fixes FTBFS on mips64(el),
    thanks Yunqiang Su (Closes: #753961).
  * debian/patches/gnutls28.patch: New; avoid using and linking libgcrypt
    with recent GnuTLS.
  * debian/patches/NSString-buffer-overrun.patch: New, cherry-picked from
    upstream SVN.
  * debian/patches/alignment-check.patch: New, fix word-alignment
    configure test on sparc.  Cherry-picked from upstream.
  * debian/patches/testsuite-fixes.patch: New.
  * debian/patches/doc-links.patch: Point links to index.html.
  * debian/patches/autoreconf.patch: Regenerate.
  * debian/patches/series: Update.
  * debian/rules (confflags): Define conditionally and pass --host to
    configure if cross-compiling.
    (install-debug): Install config.log and tests.log to analyze testsuite
    failures on the buildds.

 -- Yavor Doganov <yavor@gnu.org>  Mon, 07 Jul 2014 12:16:59 +0300

gnustep-base (1.24.6-1) experimental; urgency=low

  * New upstream release:
    - Fixes FTBFS with recent libxml2 (Closes: #738347).
    - GNUSTEP_USER_DIRECTORY is no longer created unconditionally (Closes:
      #720190).
    - Fixes regression in performSelector: with message forwarding
      (Closes: #753603).
  * Ack NMUs; thanks Matthias Klose, gregor herrmann and Pino Toscano.
  * debian/patches/libobjc4.patch:
  * debian/patches/recent-libxml2-fix.patch: Remove; fixed upstream.
  * debian/patches/kfreebsd-fake-main.patch:
  * debian/patches/avoid-nsl-linkage.patch:
  * debian/patches/maxsymlinks.diff: Refresh.
  * debian/patches/autoreconf.patch: Regenerate.
  * debian/patches/texinfo5.diff: Add description.
  * debian/patches/hurd-ignore-NSURL-test.diff: Disable for now.
  * debian/patches/manpage-fixes.patch: Fix two more issues reported by
    lintian.
  * debian/patches/info-direntry.patch: Fix few texinfo warnings.
  * debian/patches/CVE-2014-2980.patch: New patch from upstream, fixes
    gdomap user security hole (Closes: #745470).
  * debian/patches/use-local-DTDs.patch: New; use local DTDs to avoid
    annoying warnings from autogsdoc when built in a chroot.  Thanks
    Svante Signell (Closes: #736587).
  * debian/patches/hide-SYSTEM_CONFIG-vars.patch: New; fix for upstream
    bug #42423.
  * debian/patches/doc-links.patch: New; fix some broken links to manuals
    in the various -doc packages, thanks js (Closes: #749196).
  * debian/patches/series: Update.
  * debian/rules (build-arch): Remove dependency on patch.
    (binary-indep): Invoke dh_installxmlcatalogs with -n since only DTDs
    are being installed, not catalogs (Closes: #637093).
    (install-doc): Don't create Developer symlink; useless.  Delete all
    gsdoc files.  Install manually the HTML manuals.
    (install-common): Use the system's ca-certificates.crt.
    (v_make): Bump to 2.6.6-2, for texi2html related changes and a
    gnustep-make bug exposed when linking static libraries.
  * debian/gdomap.default:
  * debian/gnustep-base-runtime.gdomap.in: Disable the gdomap daemon by
    default (Closes: #717773).  Provide "fancy" output; thanks Dirk
    Sandbrink (Closes: #729588).  Remove set -e/-u because of the lsb
    logging.
  * debian/control.m4 (libgnustep-base`'SOV_BASE-dbg) <Description>: Typo
    fix; thanks Pascal De Vuyst (Closes: #697628).
    <Conflicts>: Remove libgnustep-base1.20-dbg.
    (gnustep-base-doc) <Depends>: Remove dpkg (>= 1.15.4) | install-info.
    <Description>: Edit to reflect reality.
    (gnustep-base-common) <Depends>: Add ca-certificates, needed for the
    GnuTLS support.
    (Build-Depends-Indep): Remove texi2html.  Remove texlive-base (pulled
    in); add texlive-fonts-recommended, needed for the manual.
    (Vcs-Git, Vcs-Browser): Use the canonical URIs.
    (Standards-Version): Claim compliance with 3.9.5 as of this release.
  * debian/control: Regenerate.
  * debian/gnustep-base-runtime.postinst.in: Remove obsolete stuff.
  * debian/gnustep-base-runtime.prerm.in: Delete; obsolete.
  * debian/gnustep-base-runtime.NEWS: New; document that the gdomap daemon
    is not started by default.
  * debian/copyright: Update copyright years, add more copyright holders
    and ISC/Apache 2.0 blurbs.  Typo fixes.
  * debian/gnustep-base-doc.doc-base.manual:
  * debian/gnustep-base-doc.doc-base.standards: Remove Info, add HTML
    format.

 -- Yavor Doganov <yavor@gnu.org>  Sat, 05 Jul 2014 10:45:07 +0300

gnustep-base (1.22.1-4.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS on hurd-i386: provide MAXSYMLINKS (patch maxsymlinks.diff),
    and disable the hanging test NSURL (patch hurd-ignore-NSURL-test.diff).
    (Closes: #732642)

 -- Pino Toscano <pino@debian.org>  Sat, 25 Jan 2014 13:27:48 +0100

gnustep-base (1.22.1-4.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: GSXML.m:983:38: error: dereferencing pointer to
    incomplete type":
    add patch from Ubuntu / Benjamin Drung:
    - Backport upstream fix for recent libxml2.
    (Closes: #713666)

 -- gregor herrmann <gregoa@debian.org>  Sun, 10 Nov 2013 19:57:52 +0100

gnustep-base (1.22.1-4.1) unstable; urgency=low

  * Non maintainer upload.
  * Fix build failure with texinfo 5.x. Closes: #707509.
  * Rebuild for the libffi transition.



=== debian/control ===
--- 
+++ 
@@ -5,30 +5,30 @@
 XSBC-Original-Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
 Uploaders: Gürkan Sengün <gurkan@phys.ethz.ch>,
 	   Yavor Doganov <yavor@gnu.org>
-Standards-Version: 3.9.3
-Build-Depends: debhelper (>= 7),
-	       gnustep-make (>= 2.6.1),
+Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9),
+	       gnustep-make (>= 2.6.6-2),
 	       libffi-dev,
 	       libxml2-dev,
 	       libxslt1-dev,
-	       libgnutls-dev,
+	       libgnutls28-dev,
 	       zlib1g-dev,
 	       m4,
 	       libavahi-client-dev,
 	       libicu-dev
-Build-Depends-Indep: texi2html,
-		     texinfo,
-		     texlive-base,
+Build-Depends-Indep: texinfo,
 		     texlive-latex-base,
+		     texlive-fonts-recommended,
 		     xml-core
 Build-Conflicts: libgmp3-dev
 Homepage: http://gnustep.org
-Vcs-Git: git://git.debian.org/pkg-gnustep/gnustep-base.git
-Vcs-Browser: http://git.debian.org/?p=pkg-gnustep/gnustep-base.git
+Vcs-Git: git://anonscm.debian.org/pkg-gnustep/gnustep-base.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gnustep/gnustep-base.git
 
 Package: gnustep-base-common
 Architecture: all
-Depends: gnustep-common (>= 2.6.1),
+Depends: gnustep-common (>= 2.6.6-2),
+	 ca-certificates,
 	 ${misc:Depends},
 	 ${gnustep:Depends}
 Suggests: gnustep-base-doc (>= ${source:Version})
@@ -81,7 +81,7 @@
 Depends: libgnustep-base1.24 (= ${binary:Version}),
 	 gnustep-base-common,
 	 gnustep-base-runtime (>= ${source:Version}),
-	 gnustep-make (>= 2.6.1),
+	 gnustep-make (>= 2.6.6-2),
 	 ${misc:Depends},
 	 ${gnustep:Depends}
 Description: GNUstep Base header files and development libraries
@@ -100,11 +100,9 @@
 	 gnustep-base-runtime (= ${binary:Version}),
 	 ${misc:Depends},
 	 ${gnustep:Depends}
-Recommends: libobjc3-dbg | libobjc4-dbg
-Conflicts: libgnustep-base1.20-dbg,
-	   libgnustep-base1.22-dbg
+Recommends: libobjc4-dbg
 Description: GNUstep Base library - debugging symbols
- This package contains the debigging symbols of the GNUstep Base
+ This package contains the debugging symbols of the GNUstep Base
  Library.  This package can be used to provide symbol names to a debugger to
  aid debugging.
 
@@ -127,10 +125,9 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends},
-	 ${gnustep:Depends},
-	 dpkg (>= 1.15.4) | install-info
+	 ${gnustep:Depends}
 Recommends: libgnustep-base-dev (>= ${source:Version})
 Description: Documentation for the GNUstep Base Library
- This package contains the GNUstep Base Library API reference in gsdoc
- and HTML format, as well as the GNUstep Base programming manual and
- GNUstep Coding Standards in Info and PDF format.
+ This package contains the GNUstep Base Library API reference, as well
+ as the GNUstep Base programming manual and GNUstep Coding Standards
+ in Info, HTML and PDF format.

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 v_objc := 4:4.6
 
 # GNUstep Make version :
-v_make	:= 2.6.1
+v_make	:= 2.6.6-2
 
 # GNUstep Base version :
 v_base	:= $(shell . ./Version; echo $$VERSION)
@@ -25,15 +25,11 @@
 
 ######################################################
 
-
-# These are used for cross-compiling and for saving the configure script
-# from having to guess our platform (since we know it already)
-DEB_BUILD_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_HOST_ARCH		?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
-
-# make some files executable
-dummy := $(shell chmod +x configure)
+ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
+confflags := --build $(DEB_BUILD_GNU_TYPE)
+else
+confflags := --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
+endif
 
 # packages names
 p_com	= gnustep-base-common
@@ -131,7 +127,8 @@
 	    ac_cv_lib_kvm_kvm_getenvv=no \
 	    --enable-libffi \
 	    --disable-openssl \
-	    --disable-bfd
+	    --disable-bfd \
+	    $(confflags) || { cat config.log; exit 1; }
 
 	touch $@
 
@@ -192,38 +189,39 @@
 	dh_testroot
 	dh_prep -i
 
-	@: # Install the indep part of the package
-
-	@: # install main doc
 	$(MAKE) -C Documentation install DESTDIR=$(d_doc)
 
-	@: # remove postscript doc
-	for file in `find $(d_doc)/$(GNUSTEP_SYSTEM_DOC) -name "*.ps"`; do \
-		rm $$file ; done
-
-	@: # rename Info documents with generic/ambiguous names
+# Manually copy the HTML manuals as gnustep-make cannot cope with the
+# @setfilename change.
+	cp -a $(CURDIR)/Documentation/manual/gs-base \
+	  $(d_doc)/$(GNUSTEP_SYSTEM_DOC)/Developer/Base/ProgrammingManual
+	cp -a $(CURDIR)/Documentation/gs-standards \
+	  $(d_doc)/$(GNUSTEP_SYSTEM_DOC)/Developer/CodingStandards
+
+# Delete PostScript/gsdoc files.
+	find $(d_doc)/$(GNUSTEP_SYSTEM_DOC) -regextype posix-egrep \
+	  -regex  ".*(ps|gsdoc)$$" -delete
+
+# Rename Info documents with generic/ambiguous names.
 	cd $(d_doc)/$(GNUSTEP_SYSTEM_DOC_INFO); \
 	  mv manual.info gs-base.info; \
 	  mv coding-standards.info gs-standards.info
 
-	@: # symlink
-	dh_installdirs -p$(p_doc) usr/share/doc/$(p_com)
-	dh_link -p$(p_doc) \
-	    $(GNUSTEP_SYSTEM_DOC)/Developer usr/share/doc/$(p_com)/Developer \
-	    usr/share/doc/$(p_com)/Developer usr/share/doc/$(p_doc)/Developer
-
-	@: # Prepare example package
+# Prepare the examples package.
 	dh_installdirs -p$(p_exam) usr/share/doc/$(p_com)
 	dh_link -p$(p_exam) usr/share/doc/$(p_com) usr/share/doc/$(p_exam)
 
 install-common: install-shared
 # The files actually get installed in install-shared.
-# We trust the Debian timezones.
+# Use the system's timezones/certificates.
 	rm -rf $(d_com)/$(GNUSTEP_SYSTEM_LIBRARY)/Libraries/gnustep-base/Versions/$(sov_base)/Resources/NSTimeZones/zones
 	ln -s /usr/share/zoneinfo \
 	  $(d_com)/$(GNUSTEP_SYSTEM_LIBRARY)/Libraries/gnustep-base/Versions/$(sov_base)/Resources/NSTimeZones/zones
 	ln -s /etc/timezone \
 	  $(d_com)/$(GNUSTEP_SYSTEM_LIBRARY)/Libraries/gnustep-base/Versions/$(sov_base)/Resources/NSTimeZones/localtime
+	rm $(d_com)/$(GNUSTEP_SYSTEM_LIBRARY)/Libraries/gnustep-base/Versions/$(sov_base)/Resources/GSTLS/ca-certificates.crt
+	ln -s /etc/ssl/certs/ca-certificates.crt \
+	  $(d_com)/$(GNUSTEP_SYSTEM_LIBRARY)/Libraries/gnustep-base/Versions/$(sov_base)/Resources/GSTLS/
 
 
 # Install architecture dep
@@ -267,8 +265,3 @@
 
 
 install-static: install-shared build-static
-	dh_testdir -p$(p_dev)
-	dh_testroot -p$(p_dev)
-	dh_prep -p$(p_dev)
-
-# gnustep-make 2.2.x has a bug and does not create the directory.

## gnustep-base 1.24.7

=== debian/changelog ===
gnustep-base (1.24.7-1build2) xenial; urgency=medium

  * No-change rebuild for gnutls transition.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Feb 2016 22:25:27 +0000

gnustep-base (1.24.7-1build1) wily; urgency=medium

  * No-change rebuild against new libicu

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 05 Aug 2015 17:40:01 +0100

gnustep-base (1.24.7-1) unstable; urgency=medium

  * New upstream bugfix release:
    - SSLv3 is disabled by default because of CVE-2014-3566.
  * debian/patches/testsuite-fixes.patch: Remove hunks applied upstream.
    Disable some tests that are doomed to fail.
  * debian/patches/info-direntry.patch:
  * debian/patches/manpage-fixes.patch: Remove hunks applied upstream.
  * debian/patches/NSString-buffer-overrun.patch:
  * debian/patches/ftbfs-mips64.patch:
  * debian/patches/hide-SYSTEM_CONFIG-vars.patch:
  * debian/patches/use-local-DTDs.patch:
  * debian/patches/CVE-2014-2980.patch:
  * debian/patches/kfreebsd-fake-main.patch:
  * debian/patches/avoid-nsl-linkage.patch:
  * debian/patches/gnutls28.patch:
  * debian/patches/alignment-check.patch:
  * debian/patches/avoid-tools-extra-linkage.patch:
  * debian/patches/maxsymlinks.diff: Delete; applied upstream.
  * debian/patches/pldes-manpage-rename.patch: Refresh.
  * debian/patches/autoreconf.patch: Delete; no longer needed.
  * debian/patches/fix-spelling-errors.patch: New.
  * debian/patches/series: Update.
  * debian/HTMLLinker.1:
  * debian/make_strings.1: Delete; added upstream.
  * debian/rules (configure-stamp): Dump config.log to stdout in case of
    configure error.
    (binary-arch): Install upstream manpages.
  * debian/control.m4 (Standards-Version): Bump to 3.9.6; no changes
    needed.
  * debian/control: Regenerate.
  * debian/gnustep-base-common.xmlcatalogs.in: Add new 1_0_4 DTD.
  * debian/gnustep-base-runtime.gdomap.in: Check for daemon existence,
    thanks Felipe Sateler (Closes: #764526).  Create /var/run/gdomap
    before the daemon starts.
  * debian/gdomap.default: Avoid chroot to /tmp, thanks Ansgar Burchardt
    (Closes: #741441).
  * debian/gnustep-base-runtime.NEWS: Rename as NEWS as it is not picked
    by apt-listchanges.
  * debian/watch: Check upstream signature.
  * debian/upstream/signing-key.pgp: Add upstream keyring.
  * debian/source/include-binaries: New file.
  * debian/copyright: Switch to format 1.0, update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Wed, 22 Oct 2014 17:36:45 +0300

=== debian/rules ===
--- 
+++ 
@@ -121,14 +121,14 @@
 debian/configure-stamp: configure
 	dh_testdir
 # Override the test for libkvm to ensure that /proc is used on
-# GNU/kFreeBSD even if libvkm-dev is installed (#593898).
+# GNU/kFreeBSD even if libkvm-dev is installed (#593898).
 	./configure CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" \
 	    OBJCFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
 	    ac_cv_lib_kvm_kvm_getenvv=no \
 	    --enable-libffi \
 	    --disable-openssl \
 	    --disable-bfd \
-	    $(confflags) || { cat config.log; exit 1; }
+	    $(confflags) || (cat config.log; exit 1)
 
 	touch $@
